> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ofauth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List trial link subscriber activity

> List subscribers associated with one trial link.

**Permission Required:** `subscribers:read`



## OpenAPI

````yaml https://api.ofauth.com/openapi.json get /v2/access/subscribers/activity/trial-links/:trialLinkId
openapi: 3.1.0
info:
  title: OFAuth API
  version: 1.0.0
  description: >-
    OFAuth API including Account, Connections, Link, Access, Dynamic Rules,
    Vault+, and Realtime webhook contracts
  contact:
    email: support@ofauth.com
    url: https://ofauth.com/
servers:
  - url: https://api.ofauth.com
security:
  - ApiKey: []
tags:
  - name: Account
    description: Account management endpoints.
  - name: Connections
    description: Connection management endpoints.
  - name: Link
    description: Link authentication and session endpoints.
  - name: Access
    description: All Access related endpoints.
  - name: Analytics
    description: 'Access: charts, tops, and performance metrics.'
  - name: Earnings
    description: 'Access: earnings charts, transactions, and chargebacks.'
  - name: Messages
    description: 'Access: messaging, chats, queue, and mass messaging.'
  - name: Posts
    description: 'Access: create, edit, list, and manage posts.'
  - name: Promotions
    description: 'Access: promotions, trials, and bundles.'
  - name: Users
    description: 'Access: user profiles, subscriptions, and actions.'
  - name: Vault
    description: 'Access: vault folders, media, and management.'
  - name: Upload
    description: 'Access: media upload and processing.'
  - name: Self
    description: 'Access: authenticated account details and settings.'
  - name: Stories
    description: 'Access: stories listing and management.'
  - name: Subscriptions
    description: 'Access: subscription offers, discounts, and management.'
  - name: Realtime
    description: >-
      Realtime webhook delivery contracts, including relayed OnlyFans websocket
      events.
  - name: Dynamic Rules
    description: Dynamic signing rules operations.
  - name: Vault+
    description: Vault+ caching and management.
externalDocs:
  description: OFAuth Developer Documentation
  url: https://docs.ofauth.com
paths:
  /v2/access/subscribers/activity/trial-links/:trialLinkId:
    get:
      tags:
        - Subscribers
      summary: List trial link subscriber activity
      description: |-
        List subscribers associated with one trial link.

        **Permission Required:** `subscribers:read`
      parameters:
        - schema:
            type: string
            nullable: true
            minLength: 1
          required: false
          name: trialLinkId
          in: path
        - schema:
            type: integer
            minimum: 1
            maximum: 20
            default: 10
            description: 'Number of items to return (1-20, default: 10)'
          required: false
          description: 'Number of items to return (1-20, default: 10)'
          name: limit
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
            default: 0
            description: 'Number of items to skip (default: 0)'
          required: false
          description: 'Number of items to skip (default: 0)'
          name: offset
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  list:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                        name:
                          type: string
                        username:
                          type: string
                        displayName:
                          type: string
                        isVerified:
                          type: boolean
                        avatar:
                          type: string
                          nullable: true
                        avatarThumbs:
                          type: object
                          nullable: true
                          properties:
                            c50:
                              type: string
                            c144:
                              type: string
                          required:
                            - c50
                            - c144
                        lastSeen:
                          type: string
                          nullable: true
                        subscription:
                          type: object
                          properties:
                            isActive:
                              type: boolean
                            isExpired:
                              type: boolean
                            subscribedAt:
                              type: string
                              nullable: true
                            expiresAt:
                              type: string
                              nullable: true
                            renewedAt:
                              type: string
                              nullable: true
                            price:
                              type: number
                              nullable: true
                            regularPrice:
                              type: number
                              nullable: true
                            discountPercent:
                              type: number
                              nullable: true
                            discountPeriod:
                              type: number
                              nullable: true
                            discountStartedAt:
                              type: string
                              nullable: true
                            discountFinishedAt:
                              type: string
                              nullable: true
                            history:
                              type: array
                              items:
                                type: object
                                properties:
                                  id:
                                    type: number
                                  startDate:
                                    type: string
                                  expireDate:
                                    type: string
                                  price:
                                    type: number
                                  regularPrice:
                                    type: number
                                  discount:
                                    type: number
                                  type:
                                    type: string
                                  action:
                                    type: string
                                  isCurrent:
                                    type: boolean
                                required:
                                  - id
                                  - startDate
                                  - expireDate
                                  - price
                                  - regularPrice
                                  - discount
                                  - type
                                  - action
                                  - isCurrent
                          required:
                            - isActive
                            - isExpired
                            - subscribedAt
                            - expiresAt
                            - renewedAt
                            - price
                            - regularPrice
                            - discountPercent
                            - discountPeriod
                            - discountStartedAt
                            - discountFinishedAt
                            - history
                        spending:
                          type: object
                          properties:
                            total:
                              type: number
                            tips:
                              type: number
                            subscriptions:
                              type: number
                            messages:
                              type: number
                            posts:
                              type: number
                            streams:
                              type: number
                          required:
                            - total
                            - tips
                            - subscriptions
                            - messages
                            - posts
                            - streams
                        isRestricted:
                          type: boolean
                        isBlocked:
                          type: boolean
                        capabilities:
                          type: object
                          properties:
                            canRestrict:
                              type: boolean
                            canBlock:
                              type: boolean
                            canReport:
                              type: boolean
                            canUnsubscribe:
                              type: boolean
                            canReceiveMessages:
                              type: boolean
                            canSendTrial:
                              type: boolean
                          required:
                            - canRestrict
                            - canBlock
                            - canReport
                            - canUnsubscribe
                            - canReceiveMessages
                            - canSendTrial
                        lists:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                anyOf:
                                  - type: string
                                  - type: number
                              name:
                                type: string
                            required:
                              - id
                              - name
                      required:
                        - id
                        - name
                        - username
                        - displayName
                        - isVerified
                        - avatar
                        - avatarThumbs
                        - lastSeen
                        - subscription
                        - spending
                        - isRestricted
                        - isBlocked
                        - capabilities
                        - lists
                    description: Subscribers returned for this page.
                  hasMore:
                    type: boolean
                    description: Whether another page is available.
                  nextOffset:
                    type: number
                    description: Offset to use for the next page when `hasMore` is true.
                required:
                  - list
                  - hasMore
                additionalProperties: false
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '429':
          description: Rate Limit Exceeded
        '500':
          description: Internal Server Error
        '502':
          description: Bad Gateway
      security:
        - ApiKey: []
          ConnectionId: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      name: apiKey
      in: header
      description: >-
        Your OFAuth [API key](/quickstart#2-copy-your-api-key) for
        authenticating requests.
    ConnectionId:
      type: apiKey
      name: x-connection-id
      in: header
      description: >-
        Requires a [connection](/guides/connections) via the x-connection-id
        header.

````